Show / Hide Table of Contents

# Class GameGui

##### Inheritance

System.Object
GameGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameGui : IDisposable

### Constructors

| Improve this Doc View Source

#### GameGui(IntPtr, SigScanner, Dalamud)

##### Declaration

    public GameGui(IntPtr baseAddress, SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | baseAddress |
SigScanner | scanner |
Dalamud | dalamud |

### Fields

| Improve this Doc View Source

#### GetBaseUIObject

##### Declaration

    public readonly GameGui.GetBaseUIObjectDelegate GetBaseUIObject

##### Field Value

Type | Description
--- | ---
GameGui.GetBaseUIObjectDelegate |

### Properties

| Improve this Doc View Source

#### Chat

##### Declaration

    public ChatGui Chat { get; }

##### Property Value

Type | Description
--- | ---
ChatGui |

| Improve this Doc View Source

#### GameUiHidden

##### Declaration

    public bool GameUiHidden { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### HoveredAction

The action ID that is current hovered by the player. 0 when no action is hovered.

##### Declaration

    public HoveredAction HoveredAction { get; }

##### Property Value

Type | Description
--- | ---
HoveredAction |

| Improve this Doc View Source

#### HoveredActionChanged

Event that is fired when the currently hovered action changes.

##### Declaration

    public EventHandler<HoveredAction> HoveredActionChanged { get; set; }

##### Property Value

Type | Description
--- | ---
System.EventHandler<HoveredAction> |

| Improve this Doc View Source

#### HoveredItem

The item ID that is currently hovered by the player. 0 when no item is hovered. If > 1.000.000, subtract 1.000.000 and treat it as HQ

##### Declaration

    public ulong HoveredItem { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### HoveredItemChanged

Event that is fired when the currently hovered item changes.

##### Declaration

    public EventHandler<ulong> HoveredItemChanged { get; set; }

##### Property Value

Type | Description
--- | ---
System.EventHandler<System.UInt64> |

| Improve this Doc View Source

#### PartyFinder

##### Declaration

    public PartyFinderGui PartyFinder { get; }

##### Property Value

Type | Description
--- | ---
PartyFinderGui |

| Improve this Doc View Source

#### Toast

##### Declaration

    public ToastGui Toast { get; }

##### Property Value

Type | Description
--- | ---
ToastGui |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### FindAgentInterface(IntPtr)

##### Declaration

    public IntPtr FindAgentInterface(IntPtr addon)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | addon |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### FindAgentInterface(String)

##### Declaration

    public IntPtr FindAgentInterface(string addonName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | addonName |

##### Returns

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GetAddonByName(String, Int32)

##### Declaration

    public Addon GetAddonByName(string name, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
Addon |

| Improve this Doc View Source

#### GetUIModule()

Gets a pointer to the game's UI module.

##### Declaration

    public IntPtr GetUIModule()

##### Returns

Type | Description
--- | ---
System.IntPtr | IntPtr pointing to UI module

| Improve this Doc View Source

#### GetUiObjectByName(String, Int32)

Gets the pointer to the UI Object with the given name and index.

##### Declaration

    public IntPtr GetUiObjectByName(string name, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of UI to find
System.Int32 | index | Index of UI to find (1-indexed)

##### Returns

Type | Description
--- | ---
System.IntPtr | IntPtr.Zero if unable to find UI, otherwise IntPtr pointing to the start of the UI Object

| Improve this Doc View Source

#### OpenMapWithMapLink(MapLinkPayload)

Opens the in-game map with a flag on the location of the parameter

##### Declaration

    public bool OpenMapWithMapLink(MapLinkPayload mapLink)

##### Parameters

Type | Name | Description
--- | --- | ---
MapLinkPayload | mapLink | Link to the map to be opened

##### Returns

Type | Description
--- | ---
System.Boolean | True if there were no errors and it could open the map

| Improve this Doc View Source

#### ScreenToWorld(Vector2, out Vector3, Single)

Converts screen coordinates to in-world coordinates via raycasting.

##### Declaration

    public bool ScreenToWorld(Vector2 screenPos, out Vector3 worldPos, float rayDistance = 100000F)

##### Parameters

Type | Name | Description
--- | --- | ---
SharpDX.Vector2 | screenPos | Screen coordinates
SharpDX.Vector3 | worldPos | Converted coordinates
System.Single | rayDistance | How far to search for a collision

##### Returns

Type | Description
--- | ---
System.Boolean | True if successful. On false, worldPos's contents are undefined

| Improve this Doc View Source

#### SetBgm(UInt16)

##### Declaration

    public void SetBgm(ushort bgmKey)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | bgmKey |

| Improve this Doc View Source

#### WorldToScreen(Vector3, out Vector2)

Converts in-world coordinates to screen coordinates (upper left corner origin).

##### Declaration

    public bool WorldToScreen(Vector3 worldPos, out Vector2 screenPos)

##### Parameters

Type | Name | Description
--- | --- | ---
SharpDX.Vector3 | worldPos | Coordinates in the world
SharpDX.Vector2 | screenPos | Converted coordinates

##### Returns

Type | Description
--- | ---
System.Boolean | True if worldPos corresponds to a position in front of the camera

### Events

| Improve this Doc View Source

#### OnUiHideToggled

Event which is fired when the game UI hiding is toggled.

##### Declaration

    public event EventHandler<bool> OnUiHideToggled

##### Event Type

Type | Description
--- | ---
System.EventHandler<System.Boolean> |

### Implements

System.IDisposable